Subject: Re: bug#72311: [PATCH] Treat period as a symbol constituent in cc-mode

From: Dmitry Gutov <[email-masked]>
Date: Mon, 29 Jul 2024 02:59:44 +0300

On 27/07/2024 14:26, Alan Mackenzie wrote:
> It would be possible to put a syntax-table text property on a '.' when
> it is followed directly by a decimal digit, with no space between.
> Maybe we could also check that there's a valid number character before
> the . (space, BOL, 0-9, -, ...?), but that might be over engineering.

That sounds like the better choice indeed, but given the increase in 
complexity maybe the minor improvement in behavior is not really worth 
the effort.